@Sima02

Как устранить ошибки при установке psycopg2-binary на Windows?

все psycopg у меня установились:
(myworld) C:\Users\*\diploma1>pip install psycopg2
Requirement already satisfied: psycopg2 in c:\users\*\appdata\local\packages\pythonsoftwarefoundation.python.3.11_qbz5n2kfra8p0\localcache\local-packages\python311\site-packages (2.9.9)

(myworld) C:\Users\*\diploma1>pip install psycopg
Requirement already satisfied: psycopg in c:\users\*\appdata\local\packages\pythonsoftwarefoundation.python.3.11_qbz5n2kfra8p0\localcache\local-packages\python311\site-packages (3.2.1)
Requirement already satisfied: typing-extensions>=4.4 in c:\users\*\appdata\local\packages\pythonsoftwarefoundation.python.3.11_qbz5n2kfra8p0\localcache\local-packages\python311\site-packages (from psycopg) (4.12.0)
Requirement already satisfied: tzdata in c:\users\*\appdata\local\packages\pythonsoftwarefoundation.python.3.11_qbz5n2kfra8p0\localcache\local-packages\python311\site-packages (from psycopg) (2024.1)

(myworld) C:\Users\*\diploma1>pip install psycopg2-binary
Requirement already satisfied: psycopg2-binary in c:\users\*\appdata\local\packages\pythonsoftwarefoundation.python.3.11_qbz5n2kfra8p0\localcache\local-packages\python311\site-packages (2.9.9)

но когда хочу связать через py manage.py migrate
у меня выходит:
Traceback (most recent call last):
File "C:\Users\*\myworld\Lib\site-packages\django\db\backends\postgresql\base.py", line 25, in
import psycopg as Database
ModuleNotFoundError: No module named 'psycopg'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Users\*\myworld\Lib\site-packages\django\db\backends\postgresql\base.py", line 27, in
import psycopg2 as Database
ModuleNotFoundError: No module named 'psycopg2'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Users\*\diploma1\manage.py", line 22, in
main()
File "C:\Users\*\diploma1\manage.py", line 18, in main
execute_from_command_line(sys.argv)
File "C:\Users\*\myworld\Lib\site-packages\django\core\management\__init__.py", line 442, in execute_from_command_line
utility.execute()
File "C:\Users\*\myworld\Lib\site-packages\django\core\management\__init__.py", line 416, in execute
django.setup()
File "C:\Users\*\myworld\Lib\site-packages\django\__init__.py", line 24, in setup
apps.populate(settings.INSTALLED_APPS)
File "C:\Users\*\myworld\Lib\site-packages\django\apps\registry.py", line 116, in populate
app_config.import_models()
File "C:\Users\*\myworld\Lib\site-packages\django\apps\config.py", line 269, in import_models
self.models_module = import_module(models_module_name)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\*\AppData\Local\Programs\Python\Python312\Lib\importlib\__init__.py", line 90, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "", line 1387, in _gcd_import
File "", line 1360, in _find_and_load
File "", line 1331, in _find_and_load_unlocked
File "", line 935, in _load_unlocked
File "", line 995, in exec_module
File "", line 488, in _call_with_frames_removed
File "C:\Users\*\myworld\Lib\site-packages\django\contrib\auth\models.py", line 3, in
from django.contrib.auth.base_user import AbstractBaseUser, BaseUserManager
File "C:\Users\*\myworld\Lib\site-packages\django\contrib\auth\base_user.py", line 59, in
class AbstractBaseUser(models.Model):
File "C:\Users\*\myworld\Lib\site-packages\django\db\models\base.py", line 143, in __new__
new_class.add_to_class("_meta", Options(meta, app_label))
File "C:\Users\*\myworld\Lib\site-packages\django\db\models\base.py", line 371, in add_to_class
value.contribute_to_class(cls, name)
File "C:\Users\*\myworld\Lib\site-packages\django\db\models\options.py", line 243, in contribute_to_class
self.db_table, connection.ops.max_name_length()
^^^^^^^^^^^^^^
File "C:\Users\*\myworld\Lib\site-packages\django\utils\connection.py", line 15, in __getattr__
return getattr(self._connections[self._alias], item)
~~~~~~~~~~~~~~~~~^^^^^^^^^^^^^
File "C:\Users\*\myworld\Lib\site-packages\django\utils\connection.py", line 62, in __getitem__
conn = self.create_connection(alias)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\*\myworld\Lib\site-packages\django\db\utils.py", line 193, in create_connection
backend = load_backend(db["ENGINE"])
^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\*\myworld\Lib\site-packages\django\db\utils.py", line 113, in load_backend
return import_module("%s.base" % backend_name)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\*\AppData\Local\Programs\Python\Python312\Lib\importlib\__init__.py", line 90, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\*\myworld\Lib\site-packages\django\db\backends\postgresql\base.py", line 29, in
raise ImproperlyConfigured("Error loading psycopg2 or psycopg module")
django.core.exceptions.ImproperlyConfigured: Error loading psycopg2 or psycopg module

проблема Error loading psycopg2 or psycopg module, ModuleNotFoundError: No module named 'psycopg2'

как можно исправить эту ошибку? в чем может быть ошибка?

вот settings.py
DATABASES = {
'default': {
'ENGINE': 'django.db.backends.postgresql',
'NAME': 'postgres',
'USER': 'admin1',
'PASSWORD': 'Diploma4100',
'HOST': 'diplomadb1.cp468g8wwxf5.eu-north-1.rds.amazonaws.com',
'PORT': '5432'
}
}
  • Вопрос задан
  • 61 просмотр
Пригласить эксперта
Ответы на вопрос 1
sergey-gornostaev
@sergey-gornostaev Куратор тега Django
Седой и строгий
Если сравнить пути в обеих ошибках, то становится очевидно, что команды запускались в разных окружениях.
Ответ написан
Комментировать
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы